Problem when I am using Timeline

Hi,

I am trying to use Timeline and it works fine when I create a new vaadin project with vaadin.6.6.0.jar.
I want to integrate Timeline to my own project which with vaadin.6.4.9 and the following error message shows while compiling widgetset.


Validating newly compiled units
[ERROR]
Errors in ‘jar:file:/home/xht-pc/workspace/projects/act/ACT/WebContent/WEB-INF/lib/vaadin-timeline-1.1.1.jar!/com/vaadin/addon/timeline/gwt/client/VClientCache.java’
[ERROR]
Line 14: The import com.google.gwt.i18n.client.DateTimeFormat.PredefinedFormat cannot be resolved
[ERROR]
Line 331: PredefinedFormat cannot be resolved
[ERROR]
Errors in ‘jar:file:/home/xht-pc/workspace/projects/act/ACT/WebContent/WEB-INF/lib/vaadin-timeline-1.1.1.jar!/com/vaadin/addon/timeline/gwt/client/VTimelineBrowser.java’
[ERROR]
Line 23: The import com.google.gwt.i18n.client.DateTimeFormat.PredefinedFormat cannot be resolved
[ERROR]
Line 120: PredefinedFormat cannot be resolved
[ERROR]
Line 123: PredefinedFormat cannot be resolved
[ERROR]
Line 125: PredefinedFormat cannot be resolved
[ERROR]
Line 128: PredefinedFormat cannot be resolved
[ERROR]
Line 130: PredefinedFormat cannot be resolved
[ERROR]
Line 133: PredefinedFormat cannot be resolved
[ERROR]
Line 135: PredefinedFormat cannot be resolved
Scanning for additional dependencies: jar:file:/home/xht-pc/workspace/projects/act/ACT/WebContent/WEB-INF/lib/vaadin-6.4.9.jar!/com/vaadin/terminal/gwt/client/WidgetSet.java
Computing all possible rebind results for ‘com.vaadin.terminal.gwt.client.WidgetMap’
Rebinding com.vaadin.terminal.gwt.client.WidgetMap
Invoking com.google.gwt.dev.javac.StandardGeneratorContext@93a0c5
[WARN]
Widget class com.vaadin.addon.timeline.gwt.client.VTimelineWidget was not found. The component com.vaadin.addon.timeline.Timeline will not be included in the widgetset.
Widgetset compilation completed

Anyone can help me?

Thanks a lot.

Sean

The Vaadin Timeline 1.1.x series as many other addons depend on improvements made in GWT and thus will require you to have a newer version of Vaadin (and GWT) to function. I would warmly recommed you update your vaadin version if only possible.

But if you for some reason or another have to stick with the 6.4.x series, Vaadin Timeline 1.0.2 is the latest version to support it. It can be downloaded from the directory as well. However, it will not have all the features and bugfixes introduced in Vaadin Timeline 1.1.x.

Thanks John,

I was realized the compatibility GWT as well. Timeline 1.1.1 works fine with vaadin 6.6.x and GWT 2.3 but I am using vaadin 6.4.9 and GWT 2.01.
I tried to upgrade my project to the vaadin 6.6.x and GWT 2.3 however failed because of the other dependence.

Thanks for you recommendation and I am using Timeline 1.02 and its working with my project.

Thanks!